# -*- coding: utf-8 -*-
#
# Ref macro for Trac 0.11
#

from genshi.builder import tag

from trac.core import *
from trac.wiki.parser import WikiParser
from trac.wiki.macros import WikiMacroBase

__all__ = ['RefMacro']

class RefMacro(WikiMacroBase):
    """
    Reference section headers in the current page. To refer to the section
    [[Ref(Using Macros)]], use
    
    {{{
    [[Ref(Using Macros)]]
    }}}
    
    """
    def render_macro(self, formatter, name, args):
        anchor = WikiParser._anchor_re.sub("", args)
        if not anchor or not anchor[0].isalpha():
            anchor = 'a' + anchor
        return "<a href='#%s' title='Jump to section %s'>%s</a>" % \
                (anchor, args.replace("'", "\\'"), args)


